[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# Fpmunmap

Unmap previously mapped memory block

## Declaration

Source position: bunxh.inc line 108

`function Fpmunmap(`
`start: pointer;`
`len: size_t`
`):cint;`

## Description

FpMUnMap unmaps the memory block of size Len, pointed to by Adr, which was previously allocated with FpMMap.

The function returns True if successful, False otherwise.

For an example, see FpMMap.

## Errors

In case of error the function returns a nonzero value, extended error information is returned by the FpGetErrno function. See FpMMap for possible error values.

## See also

FpMMap |  | Create memory map of a file

Documentation generated on: Feb 26 2014